package com.ruoyi.mall.domain.vo;

/**
 * @ClassName MallCartGoodsVO
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/1 9:23 AM
 * @Version 1.0
 **/

public class MallCartGoodsVO {

    private String goodsId;

    private String cartId;

    //商品名称
    private String goodsName;

    //商品描述
    private String goodsTitle;

    //商品主展示图
    private String goodsImg;

    //运费
    private String postFee;

    //规格名
    private String productName;

    //规格id
    private String productId;

    //现价
    private String price;

    //原价
    private String priceN;

    //库存
    private String stock;

    //销量
    private String numSale;

    //购买个数
    private String count;


    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsTitle() {
        return goodsTitle;
    }

    public void setGoodsTitle(String goodsTitle) {
        this.goodsTitle = goodsTitle;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getPostFee() {
        return postFee;
    }

    public void setPostFee(String postFee) {
        this.postFee = postFee;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getPriceN() {
        return priceN;
    }

    public void setPriceN(String priceN) {
        this.priceN = priceN;
    }

    public String getNumSale() {
        return numSale;
    }

    public void setNumSale(String numSale) {
        this.numSale = numSale;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getCartId() {
        return cartId;
    }

    public void setCartId(String cartId) {
        this.cartId = cartId;
    }

    public String getStock() {
        return stock;
    }

    public void setStock(String stock) {
        this.stock = stock;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    @Override
    public String toString() {
        return "MallCartGoodsVO{" +
                "goodsId='" + goodsId + '\'' +
                ", goodsName='" + goodsName + '\'' +
                ", goodsTitle='" + goodsTitle + '\'' +
                ", goodsImg='" + goodsImg + '\'' +
                ", postFee='" + postFee + '\'' +
                ", productName='" + productName + '\'' +
                ", price='" + price + '\'' +
                ", priceN='" + priceN + '\'' +
                ", numSale='" + numSale + '\'' +
                ", count='" + count + '\'' +
                ", cartId='" + cartId + '\'' +
                ", stock='" + stock + '\'' +
                ", productId='" + productId + '\'' +
                '}';
    }
}
